[SHARE] lgup tool

Search This thread

asialove2013

Senior Member
Sep 6, 2013
580
395
https://www.mylgphones.com/download-lg-up-software
LG V40 DLL Ver. 1.9.39.
Yes, we can run & open LGUP 1.14 with this DLL, and detect the LG V40, but we still can not upgrade/refurbish
LG says LGUP 1.16 is needed..
when I patched the DLL, LGUP says, The DLL is invalid.
so anyone wants to try the LG V40 DLL, please leave me a message.

Here is the LGUP DLL for LG V40
https://www.mylgphones.com/lgup-dll-for-lg-v40-thinq-version1-9-39-7.html

You can use LGUP 1.15 -lgup_cmd.exe and the above DLL to flash kdz firmware onto your LG V40

1) AT&T model to South Korea model
2) Sprint model to GFI Unlocked

confirmed works.! PLEASE let me know if it works on other models and leave a message here

lgup_v40.JPG
 
Last edited:

awireless

Senior Member
Apr 9, 2018
348
97
In another thread you was proud of your success with g7, but you dont know about cmd.exe and flashing from here? Lol.

Im not "Proud" other people did it to i just found a more simple way and shared it. What do you mean using cmd.exe and flashing from here? Im just interested in learning.

oh i see the cmd.exe thats a cool feature do you know why LG did it like this or is it a patch?
 
Last edited:

asialove2013

Senior Member
Sep 6, 2013
580
395
Im not "Proud" other people did it to i just found a more simple way and shared it. What do you mean using cmd.exe and flashing from here? Im just interested in learning.

oh i see the cmd.exe thats a cool feature do you know why LG did it like this or is it a patch?

LGUP_Cmd.exe is from LG official, It is not patched.


Usage 1 : LGUP_Cmd.exe [COM Port Number] [DLL_PATH(Optional)] [SW_PATH] [EXTRA_OPTION(Optional)]

Usage 2 : LGUP_Cmd.exe LGUP_GET_INFO

The best way is put stock kdz firmware in the folder 'C:\Program Files (x86)\LG Electronics\LGUP"

Use: LGup_comd.exe as administrator

LGup_cmd.exe com3 XXX.kdz
 
  • Love
Reactions: virginwidow

Top Liked Posts

  • There are no posts matching your filters.
  • 5
    https://www.mylgphones.com/download-lg-up-software
    LG V40 DLL Ver. 1.9.39.
    Yes, we can run & open LGUP 1.14 with this DLL, and detect the LG V40, but we still can not upgrade/refurbish
    LG says LGUP 1.16 is needed..
    when I patched the DLL, LGUP says, The DLL is invalid.
    so anyone wants to try the LG V40 DLL, please leave me a message.

    Here is the LGUP DLL for LG V40
    https://www.mylgphones.com/lgup-dll-for-lg-v40-thinq-version1-9-39-7.html

    You can use LGUP 1.15 -lgup_cmd.exe and the above DLL to flash kdz firmware onto your LG V40

    1) AT&T model to South Korea model
    2) Sprint model to GFI Unlocked

    confirmed works.! PLEASE let me know if it works on other models and leave a message here

    lgup_v40.JPG
    4
    The correct DLL has surfaced and works with LGUP_CMD 1.15. Commands are the same as G7 here.
    Requires full wipe, unless someone knows the commands to prevent this.

    Tested and confirmed with my V405EBW.

    We can finally flash KDZs on V40.
    3
    I cross flash V40 Sprint to factory unlocked firmware with partition dl on 1.16



    View attachment 4819192
    3
    Here ya guys go. Hopefully someone can take a crack at these.

    please credit if reposted since its not available anywhere on the webz.

    https://anonfile.com/B3xc685fn6/LGUP_Common_DLL_Ver_1_0_40_2_msi


    https://anonfile.com/i5y16a59na/LGUP_Lab_Frame_Ver_1_16_0_3_msi
    3
    Any v40 user here try the LG UP 1.14 patched together with LG v35 DLL file?

    Yes. The V35 DLL, version 1.0.36.10 (and one from the G7), will allow LGUP 1.14 to open, but it will error when attempting to flash. LAF protocol is not match DLL = 0x1000010 Device = 0x10000016

    DLLs from V40 KDZs are too new and spit out the DLL for [your model] is invalid, please install valid DLL package *.msi for the model error as do older DLLs and the new one from the G8.

    LGUP 1.15 - which can be downloaded here - is not patched to bypass the login, but the LGUP command line tool works. Unfortunately it also errors with the please install DLL package response.

    The older LG flashtool can be used to identify DLL versions, but I don't think we're going to get much further with DLLs alone unless they can be patched. Good old Uppercut is no joy either.

    Hopefully someone can locate/leak/modify LGUP 1.16, locate/leak the msi for V40, or modify LGUP 1.14/1.15 to bypass the checks. Or find some other way around this.